<?php
/**
 * Live Election Results Post — AP.
 *
 * @package Newspack
 */

?>
<!-- wp:group -->
<div class="wp-block-group"><!-- wp:paragraph {"className":"np-template-helper","style":{"color":{"background":"#fff562"}}} -->
<p class="np-template-helper has-background" style="background-color:#fff562"><?php _e( 'Welcome to Newspack\'s Election Results template. This article pattern is designed to work with AP results embeds. If you\'re not sure how to access those, contact AP. We\'ve included guidance throughout the template to help you build an election results page that highlights your unique value to your audience and drives engagement. <strong>Make sure to delete these guide paragraphs with yellow backgrounds before publishing</strong>. To find out more about how to use these patterns, see the <a target="_blank" href="https://help.newspack.com/newspack-election-results-patterns/">Help Site documentation</a>.', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:paragraph -->
<p><?php _e( 'Replace this text with a tight intro explaining that this page contains live election results that will be updated automatically throughout the race.', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:heading -->
<h2 class="wp-block-heading"><?php _e( 'Key local races', 'newspack-plugin' ); ?></h2>
<!-- /wp:heading -->

<!-- wp:html -->
<?php _e( 'PASTE EMBED CODE FROM AP HERE!', 'newspack-plugin' ); ?>
<!-- /wp:html --></div>
<!-- /wp:group -->

<!-- wp:paragraph {"style":{"color":{"background":"#fff562"}}} -->
<p class="has-background" style="background-color:#fff562"><?php _e( 'For the above embed block, we recommend embedding results that are specific to your audience and community — this might be a tight local race, a key ballot measure, or a collection of races of specific demographic interest. Include as many or as few as appropriate. Focus on the races where your proximity to your readers gives you a comparative advantage!', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:group {"style":{"spacing":{"padding":{"top":"var:preset|spacing|60","bottom":"var:preset|spacing|60"}}},"backgroundColor":"light-gray","layout":{"type":"constrained"}} -->
<div class="wp-block-group has-light-gray-background-color has-background" style="padding-top:var(--wp--preset--spacing--60);padding-bottom:var(--wp--preset--spacing--60)"><!-- wp:paragraph -->
<p><?php _e( 'Subscribe to our newsletter and we\'ll tell you the minute results start coming in and when a winner is declared.', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:newspack-newsletters/subscribe {"className":"is-style-modern"} /--></div>
<!-- /wp:group -->

<!-- wp:paragraph {"style":{"color":{"background":"#fff562"}}} -->
<p class="has-background" style="background-color:#fff562"><?php _e( 'Don\'t forget to modify the copy for the above newsletter subscription block to fit your editorial strategy and planning.', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:heading -->
<h2 class="wp-block-heading"><?php _e( 'More regional races', 'newspack-plugin' ); ?></h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"style":{"color":{"background":"#fff562"}}} -->
<p class="has-background" style="background-color:#fff562"><?php _e( 'For the following results blocks, we recommend repeating a simple visualization for secondary races that may be relevant for your audience, such as local house races in your area.', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:heading {"level":3} -->
<h3 class="wp-block-heading"><?php _e( 'Race 1', 'newspack-plugin' ); ?></h3>
<!-- /wp:heading -->

<!-- wp:html -->
<?php _e( 'PASTE EMBED CODE FROM AP HERE!', 'newspack-plugin' ); ?>
<!-- /wp:html --></div>
<!-- /wp:group -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:heading {"level":3} -->
<h3 class="wp-block-heading"><?php _e( 'Race 2', 'newspack-plugin' ); ?></h3>
<!-- /wp:heading -->

<!-- wp:html -->
<?php _e( 'PASTE EMBED CODE FROM AP HERE!', 'newspack-plugin' ); ?>
<!-- /wp:html --></div>
<!-- /wp:group -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:heading {"level":3} -->
<h3 class="wp-block-heading"><?php _e( 'Race 3', 'newspack-plugin' ); ?></h3>
<!-- /wp:heading -->

<!-- wp:html -->
<?php _e( 'PASTE EMBED CODE FROM AP HERE!', 'newspack-plugin' ); ?>
<!-- /wp:html --></div>
<!-- /wp:group -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:separator {"className":"is-style-wide"} -->
<hr class="wp-block-separator has-alpha-channel-opacity is-style-wide"/>
<!-- /wp:separator -->

<!-- wp:heading {"textAlign":"center","level":3} -->
<h3 class="wp-block-heading has-text-align-center"><?php _e( 'Support our coverage of key local issues', 'newspack-plugin' ); ?></h3>
<!-- /wp:heading -->

<!-- wp:newspack-blocks/donate {"className":"is-style-modern"} /-->

<!-- wp:paragraph {"style":{"color":{"background":"#fff562"}}} -->
<p class="has-background" style="background-color:#fff562"><?php _e( 'If your site offers a paid membership/subscription model, swap these Donation Blocks out for registration/subscription blocks.', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:separator {"className":"is-style-wide"} -->
<hr class="wp-block-separator has-alpha-channel-opacity is-style-wide"/>
<!-- /wp:separator --></div>
<!-- /wp:group -->

<!-- wp:newspack-blocks/homepage-articles {"showDate":false,"showAuthor":false,"postLayout":"grid","typeScale":2,"sectionHeader":"FULL ELECTION COVERAGE"} /-->

<!-- wp:paragraph {"style":{"color":{"background":"#fff562"}}} -->
<p class="has-background" style="background-color:#fff562"><?php _e( 'Only keep the above Homepage Posts Block if your site does not use Jetpack\'s Related Posts. If you use Related Posts, delete the above block. If you don\'t have a sidebar on this page with links to other coverage, consider moving this block higher up.', 'newspack-plugin' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:separator {"className":"is-style-wide"} -->
<hr class="wp-block-separator has-alpha-channel-opacity is-style-wide"/>
<!-- /wp:separator -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:heading {"level":3} -->
<h3 class="wp-block-heading"><?php _e( 'Race 4', 'newspack-plugin' ); ?></h3>
<!-- /wp:heading -->

<!-- wp:html -->
<?php _e( 'PASTE EMBED CODE FROM AP HERE!', 'newspack-plugin' ); ?>
<!-- /wp:html --></div>
<!-- /wp:group -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:heading {"level":3} -->
<h3 class="wp-block-heading"><?php _e( 'Race 5', 'newspack-plugin' ); ?></h3>
<!-- /wp:heading -->

<!-- wp:html -->
<?php _e( 'PASTE EMBED CODE FROM AP HERE!', 'newspack-plugin' ); ?>
<!-- /wp:html --></div>
<!-- /wp:group -->

<!-- wp:group {"layout":{"type":"constrained"}} -->
<div class="wp-block-group"><!-- wp:heading {"level":3} -->
<h3 class="wp-block-heading"><?php _e( 'Race 6', 'newspack-plugin' ); ?></h3>
<!-- /wp:heading -->

<!-- wp:html -->
<?php _e( 'PASTE EMBED CODE FROM AP HERE!', 'newspack-plugin' ); ?>
<!-- /wp:html --></div>
<!-- /wp:group --></div>
<!-- /wp:group -->
